play.data.binding.types

## Class UploadBinder

- java.lang.Object
- - play.data.binding.types.UploadBinder

- All Implemented Interfaces:
    TypeBinder<Model.BinaryField>

      public class UploadBinder
      extends java.lang.Object
      implements TypeBinder<Model.BinaryField>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UploadBinder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `bind(java.lang.String name, java.lang.annotation.Annotation[] annotations, java.lang.String value, java.lang.Class actualClass, java.lang.reflect.Type genericType)` Called when your parameter needs to be bound.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UploadBinder

          public UploadBinder()

  - ### Method Detail

    - #### bind

          public java.lang.Object bind(java.lang.String name,
                                       java.lang.annotation.Annotation[] annotations,
                                       java.lang.String value,
                                       java.lang.Class actualClass,
                                       java.lang.reflect.Type genericType)

      Description copied from interface: `TypeBinder`
      Called when your parameter needs to be bound.
      Specified by:
        `bind` in interface `TypeBinder<Model.BinaryField>`
      Parameters:
        `name` - the name of you parameter ie myparam for a simple param but can also be a complex one : mybean.address.street
        `annotations` - An array of annotation that may be bound to your method parameter or your bean property
        `value` - the actual value as a string that needs to be bound
        `actualClass` - The class of the object you want to associate the value with
        `genericType` - The generic type associated with the object you want to bound the value to
      Returns:
        the 'bound' object for example a date object if the value was '12/12/2002'

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly